<?php
    $params = array_merge(
        require __DIR__ . '/../../common/config/params.php',
        require __DIR__ . '/../../common/config/params-local.php',
        require __DIR__ . '/params.php',
        require __DIR__ . '/params-local.php'
    );
    
    return [
        'id'                  => 'app-backend',
        'homeUrl'             => '/rest',
        'basePath'            => dirname(__DIR__),
        'controllerNamespace' => 'backend\controllers',
        'bootstrap'           => [ 'log' ],
        'modules'             => [],
        'components'          => [
            'request'      => [
                'baseUrl'   => '/rest',
                'csrfParam' => '_csrf-backend',
                'parsers'   => [
                    'application/json' => 'yii\web\JsonParser',
                ],
            ],
            'user'         => [
                'identityClass'   => 'common\models\User',
                'enableAutoLogin' => true,
                'identityCookie'  => [
                    'name'     => '_identity-backend',
                    'httpOnly' => true,
                ],
            ],
            'session'      => [
                // this is the name of the session cookie used for login on the backend
                'name' => 'advanced-backend',
            ],
            'log'          => [
                'traceLevel' => YII_DEBUG ? 3 : 0,
                'targets'    => [
                    [
                        'class'  => 'yii\log\FileTarget',
                        'levels' => [
                            'error',
                            'warning',
                        ],
                    ],
                ],
            ],
            'monolog' => [
                'class' => '\Mero\Monolog\MonologComponent',
                'channels' => [
                    'main' => [
                        'handler' => [
                            [
                                'type'  => 'rotating_file',
                                'path'  => '@runtime/logs/insert.log',
                                'level' => 'debug',
                                'max_files' => 6,
                            ]
                        ],
                        'processor' => [],
                    ],
                ],
            ],
            'errorHandler' => [
                'errorAction' => 'site/error',
            ],
            'urlManager'   => [
                'enablePrettyUrl'     => true,
                'enableStrictParsing' => true,
                'showScriptName'      => false,
                'rules'               => [
                    [
                        'class'         => 'yii\rest\UrlRule',
                        'controller'    => 'call',
                        'extraPatterns' => [
                            'GET search' => 'search',
                        ],
                    ],
                ],
            ],
        ],
        'params'              => $params,
    ];
