<?php
    
    namespace backend\controllers;
    
    use common\models\Call;
    use yii\data\ActiveDataProvider;
    use yii\rest\ActiveController;
    
    class CallController extends ActiveController
    {
        public $modelClass = 'common\models\Call';
        
        public function actionSearch($word)
        {
            return new ActiveDataProvider(
                [
                    'query' => Call::find()
                                   ->filterWhere(
                                       [
                                           'ilike',
                                           'company',
                                           trim($word),
                                       ]
                                   ),
                ]
            );
        }
        
        public function beforeAction($action)
        {
            if ($action->id === 'create') {
                $monologComponent = \Yii::$app->monolog;
                $logger = $monologComponent->getLogger();
                /**
                 * @var \Psr\Log\LoggerInterface $logger
                 */
                $logger->info('Before reate action trigered, ip: ' . \Yii::$app->request->userIP . ', request body: ' . \Yii::$app->request->rawBody);
            }
            
            return parent::beforeAction($action);
        }
    }