<?php

/* @var $this yii\web\View */
/* @var $form yii\bootstrap\ActiveForm */
/* @var $model \common\models\LoginForm */

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;

$this->title = 'Login';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-login">
    <div class="row">
      <div class="col s4 offset-s4">
        <h1><?= Html::encode($this->title) ?></h1>
  
        <p>Please fill out the following fields to login:</p>
      </div>
    </div>

    <div class="row">
        <div class="col s4 offset-s4">
            <?php $form = ActiveForm::begin(['id' => 'login-form']); ?>

                <?= $form->field($model, 'username', [
                  'options' => [
                      'class' => 'input-field'
                  ]
                ])->textInput(['autofocus' => true]) ?>

                <?= $form->field($model, 'password',[
                    'options' => [
                        'class' => 'input-field'
                    ]
                ])->passwordInput() ?>

                <?= $form->field($model, 'rememberMe', [
                    'template' => '<p>{input}{label}</p>{error}'
                ])->checkbox([], false) ?>

                <div style="color:#999;margin:1em 0">
                    If you forgot your password you can <?= Html::a('reset it', ['site/request-password-reset']) ?>.
                </div>

                <div class="form-group">
                    <?= Html::submitButton('Login', ['class' => 'btn btn-primary', 'name' => 'login-button']) ?>
                </div>

            <?php ActiveForm::end(); ?>
        </div>
    </div>
</div>
